%global _owner pgnd
%global _build_timestamp %( date +%%Y%%m%%d_%%H%%M%%S --utc )

%define _tika_name        tika
%define _tika_ug_name     %{_tika_name}-sysusers
%define _tika_ug_pkgname  %{_tika_ug_name}
%define _tika_ug_comment  Tika users & groups

# https://spdx.org/licenses/MIT.html
%global _tika_ug_license MIT

%define _tika_ug_file_in  %{_tika_name}.sysusers
%define _tika_ug_file_out %{_tika_name}.conf
%define _tika_ug_dir      /etc/sysusers.d

%global dist .%{_build_timestamp}.%{_owner}.fc%{fedora}

Vendor:           %{_owner}

# NEVRA (n-e:v-r.a)
Name:              %{_tika_ug_name}
Epoch:             0
Version:           git_1.0
Release:           0%{?dist}
BuildArch:         noarch
#	https://blog.jasonantman.com/2014/07/how-yum-and-rpm-compare-versions/
%global sameevr   %{epoch}:%{version}-%{release}

Summary:           %{_tika_ug_comment}
License:           %{_tika_ug_license}

Source0:           %{_tika_ug_file_in}
Provides:          group(tika)
Provides:          user(tika)

BuildRequires:     coreutils
BuildRequires:     systemd-rpm-macros
%{?sysusers_requires_compat}

%description
%{_tika_ug_comment}

%prep
cp %{SOURCE0} .

%build

%install
mkdir -p %{buildroot}%{_tika_ug_dir}
install -p -T -m 644 %{SOURCE0} %{buildroot}%{_tika_ug_dir}/%{_tika_ug_file_out}

%check

%pre
%sysusers_create_compat %{SOURCE0}

%files
%dir %{_tika_ug_dir}
%{_tika_ug_dir}/%{_tika_ug_file_out}

%changelog
* Tue Apr 15 2025 pgnd _ <null@null.loc>
- bump 1744764706
